Subject: Re: [PATCH dlm/next 11/12] dlm: add nldlm net-namespace aware UAPI

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Aug 2024 15:57:36 -0700

On Wed, 21 Aug 2024 09:13:21 -0400 Alexander Aring wrote:
> > Did you consider using the YAML spec stuff to code gen the policies
> > and make user space easier?
> 
> I will try to take a look into that and prepare a spec for PATCHv2. I
> saw that there is a documentation about it at [0].
> 
> I did a kind of "prototype" libnldlm [1] to have easy access to the
> netlink api but if there are more common ways to generate code to
> easily access it, I am happy to give it a try.

Right, even if you don't end up using it on the user space side, having
YNL generate the kernel boiler plate simplifies the human review, if
nothing else :) YNL always uses the latest and safest kernel constructs.